#ifndef lint
static char tundh_sccsid[] = "@(#)tund.h	1.6 90/06/22-15:43:53 FAU from jpo 1.3";
#endif

/* tund.h - defines & constants for tund */

/*
 * Copyright (c) 1988, Julian Onions. 
 *
 * This source may be freely distributed, however I would be interested
 * in any changes that are made.
 *
 * Modified 1989-1990, Toerless Eckert.
 */

/*
 * $Log:	tund.h,v $
 * Revision 1.3  88/07/11  08:29:09  jpo
 * Some tidying up
 * 
 * Revision 1.2  88/06/29  16:30:05  jpo
 * New CUDF handling
 * 
 * Revision 1.1  87/11/04  14:43:37  jpo
 * Initial revision
 *
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <sys/ioctl.h>
#include <signal.h>
#include <sys/wait.h>
#include <setjmp.h>
#include <syslog.h>
#include <net/if.h>
#include <netinet/in.h>
#include "if_tnreg.h"
#include <arpa/inet.h>
#include <sys/mbuf.h>
#include <sys/time.h>
#include <ctype.h>
#include <fcntl.h>
#include <sys/timeb.h>
#include <errno.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netinet/in_systm.h>
#include <netinet/ip.h>

#include <netdb.h>
#ifndef UBC_X25
#include <sundev/syncstat.h>
#include <netx25/x25_pk.h>
#include <netx25/x25_ioctl.h>
#ifdef SUNOS4
#include <netx25/x25_sys.h>
#endif SUNOS4
#include <netx25/x25_ctl.h>
#endif

#define TIMEOUT		30	/* Max amount of time to keep tunnel open */
#define	MAXCONS		32	/* maximum connections */

#define NULLCP		((char *)0)
#define NULLIP		((fd_set *)0)
#define NULLCON		((Connection *)0)
#define	TRUE		(1)
#define FALSE		(0)
#define NOTOK		(-1)

#define DEBUG
