#	Loadable tunnel module Makefile
#		by taka@exsys.prm.prug.or.jp

VERSION=941218

TUNMODULE_DIR=/usr/local/tun
LOCAL_DIR=/usr/local/bin

KERNELSRCS	= if_tun.c
KERNELOBJS	= if_tun.o
SCRIPTS		= starttun stoptun posttunload
KVM		= /usr/kvm/sys
INST_FILES	= ${TUNMODULE_DIR}/if_tun.o	\
		  ${TUNMODULE_DIR}/starttun	\
		  ${TUNMODULE_DIR}/stoptun	\
		  ${TUNMODULE_DIR}/posttunload

# Uncomment the following two lines to use loadable modules support
# You must have your kernel built with the VDDRV option
# *** NOTE: This is still very much experimental. You have been warned.
KERNELOBJS = if_tun.o

#	for send mtu size.
DEFINES =
#	num slip
NTUN = 2

CFLAGS = -I/usr/sys $(DEFINES) -DKERNEL -DSTREAMS -DINET -DNTUN=$(NTUN) -DLOADABLE -D`arch -k`


all: ${KERNELOBJS}

install:
	install -c -m 640 if_tun.o ${TUNMODULE_DIR}
	install -c -m 750 starttun ${TUNMODULE_DIR}
	install -c -m 750 stoptun ${TUNMODULE_DIR}
	install -c -m 750 posttunload ${TUNMODULE_DIR}

clean:
	rm -f *.o core

depend:

